#include <stdafx.h>
#include <vd2/Dita/resources.h>

namespace {

	// The IDs below are deliberately not exposed via a header file to avoid having to recompile
	// the entire app when editing strings.

	enum { kVDST_Dub = 1 };

	const char *const g_strtab_Dub[]={
		"Dub: Un dpassement de la taille du segment de sortie est survenu -- la taille (octets) du segment est peut-tre trop basse.",
		"Dub: Passage  un nouveau segment.",
		"Dub: La tche d'E/S n'a pas bouge depuis 10 secondes -- possibilit de boucle sans fin. (Emplacement de la tche: %p)",
		"Dub: La tche de traitement n'a pas bouge depuis 10 secondes -- possibilit de boucle sans fin. (Emplacement de la tche: %p)",
		"Dub: Le codec vido a produit une image de temporisation (dlai) en tentant de rduire le dlai d'une Image-B du codec! Ceci va tre ignor afin de prvenir une possibilit de boucle sans fin.",
		"Dub: Le codec vido est en attente d'une temporisation (dlai) par Image-B comportant %d images de plus que la fin de la vido! Arrt du flux vido afin de prvenir une possibilit de boucle sans fin.",
		0
	};

	enum { kVDST_AVIReadHandler = 2 };

	const char *const g_strtab_AVIReadHandler[]={
		"AVI: Avisynth dtect. Prise en charge tendue des erreurs active.",
		"AVI: Index OpenDML hirarchique dtect sur le flux %d.",
		"AVI: Index introuvable ou endommag -- reconstruction  partir de l'analyse du fichier.",
		"AVI: Morceau invalide dtect   %lld. Activation du mode de rcupration maximal.",
		"AVI: Block invalide trouv  %lld -- dsactivation du streaming.",
		"AVI: Le flux %d possde un taux d'chantillonnage invalide. Remplacement par un taux de substitution de %lg chant./sec.",
		"AVI: Changements dans la palette dtects. Ceci ne sont pas supports pour le moment -- des erreurs de palette des couleurs peuvent apparatre dans le rsultat de sortie.",
		0
	};

	enum { kVDST_VideoSource = 3 };

	const char *const g_strtab_VideoSource[]={
		"AVI: Reprise du dcodage normal (masquage dsactiv)  l'image %u",
		"AVI: Erreur de dcodage sur l'image %u -- tente de l'ignorer.",
		"AVI: L'image %u est trop petite (%d < %d octets) mais va tre dcode malgr tout.",
		"Le codec vido \"%.64hs\" est bugg et a rpondu  VirtualDub avec les instructions MMX actives. Contournement du problme.",
		"AVI: La structure du format vido dans le fichier est anormalement large (%d octets > 16K). Elle va tre tronque  %d octets.",
		"L'un des codecs vido install sur le systme a modifi le format vido qui lui a t transmis par VirtualDub.  Ca "
													"indique un bug dans le codec qui peut causer un disfonctionnement du systme de codec vido de Windows.",
		0
	};

	enum { kVDST_InputFileAVI = 4 };

	const char *const g_strtab_InputFileAVI[]={
		"AVI: Ouverture du fichier \"%ls\"",
		"AVI: La rgnration des pointeurs d'images-cl n'tait pas indique dans les options d'ouverture et le "
											"flux vido n'est pas un type connu d'images-cl-seules.  Une recherche dans le flux vido risque d'tre extrmement lente.",
		"AVI: Fichier DV type-1 dtect -- VirtualDub ne peut pas extraire l'audio de ce type de flux entrelacs.",
		0
	};

	enum { kVDST_Mpeg = 5 };

	const char *const g_strtab_Mpeg[]={
		"MPEGAudio: Dissimulation d'une erreur de dcodage sur l'image %lu: %hs.",
		"MPEG: Ouverture du fichier \"%ls\"",
		"MPEG: Timestamp anachronique ou discontinu trouv dans le flux %ls %d  la position octale %lld, de %lld  %lld. Ceci peut indiquer une fusion incorrecte.",
		"MPEG: La fin du fichier a t atteinte de manire inattendue au cours de l'analyse -- le fichier est peut-tre endommag ou incomplet.",
		"MPEG: Code de frquence d'image inconnu (%d)",
		0
	};

	enum { kVDST_AudioSource = 6 };

	const char *const g_strtab_AudioSource[]={
		"AVI: Format audio MP3 tronqu ou invalide dtect (%d octets, au lieu de %d). Tentative de correction.",
		0
	};

	enum { kVDST_ProjectUI = 7 };

	const char *const g_strtab_ProjectUI[]={
		"%s",
		"%s - [%s]",
		"%s - [%s] (rendu en cour)",
		0
	};

// ********************************************************************
// *** VirtualDubMod												***
// *** Cyrius, June 2003											***
// BEGIN **************************************************************
	enum { kVDST_ModVideoSource = 150 };

	const char *const g_strtab_ModVideoSource[]={
		"Impossible de localiser le codec de dcompression pour le format '%c%c%c%c' (%hs).\nVirtualDub a besoin d'un codec compatible Video for Windows (VFW) pour dcompresser la vido. Les codecs DirectShow, tels que ceux utiliss par Windows Media Player, ne sont pas adapts. Seul le mode de 'Copie de Flux Directe' est accessible pour cette vido.",
		0
	};

	enum { kVDST_MatroskaReadHandler = 151 };

	const char *const g_strtab_MatroskaReadHandler[]={
		"MKV: Un flux de sous-titre (%d) contient des sous-titres qui se chevauchent. Certains d'entre eux peuvent ne pas tre conservs en cas d'dition.",
		"MKV: Les images vido semblent tre bizarrement ordonnes.",
		"MKV: Erreur pendant la lecture des donnes, acheve sur un mauvais bloc.\nPosition %llu attendue, %llu (Emplacement du bloc : %llu) trouve.",
		"MKV: Erreur pendant la lecture des donnes, acheve sur une position errone dans le fichier (aucun Bloc trouv).",
		"MKV: Erreur pendant la lecture, acheve sur un mauvais Cluster.",
		"MKV (message libebml/libmatroska): %hs.",
		"MKV: L'un des sous-titres du flux %d ne possde pas de dure.",
		"MKV: Un bloc de flux %d ne possde pas de time code.",
		"MKV: Une image du flux %d ( %llu ms) possde uniquement une rfrence suivante (peut-tre un fichier dfectueux).",
		"MKV: La vido a peut-tre un dbit variable. Si c'est le cas, nous vous recommandons fortement d'utiliser un autre outil afin de traiter votre fichier sans courir de risques.",
		0
	};

	enum { kVDST_MatroskaOutputFile = 152 };
	
	const char *const g_strtab_MatroskaOutputFile[]={
		"MKV: Une Image-B a t envoye alors qu'aucune n'avait t annonce pendant l'initialisation.\nNon gr.",
		"MKV: Un certain nombre d'Images-B (%d) tait en attente de la rfrence de leur seconde trame.\nCes images ne seront pas crites dans le fichier de sortie.",
		"MKV: Erreur critique -> le timecode absolu (%llu) dans le flux %d dpasse la porte du timecode de cluster actuelle (timecode de base : %llu).",
		"MKV: Pas assez d'espace rserv (%lu octets) au dbut du fichier pour le KaxSeekHead. Il va tre crit  la fin du fichier.",
		"MKV: Je crois que ce n'est vraiment pas votre jour de chance! Il n'y avait pas assez d'espace rserv pour un KaxSeekHead au dbut du fichier pour rfrencer celui crit  la fin du fichier.\nOn a russi? Vraiment? On a presque atteint la lumire  la fin du tunnel. Hum... Vous entendez le train? Splat!!!",
		0
	};

	enum { kVDST_OGMReadHandler = 153 };

	const char *const g_strtab_OGMReadHandler[]={
		"OGM: Des erreurs ont t trouves lors de l'analyse du fichier.\nVeuillez consulter le rapport pour en savoir plus ('Flux -> Rapport').",
		0
	};

	enum { kVDST_TextSourceSRT = 154 };

	const char *const g_strtab_TextSourceSRT[]={
		"SRT: Des erreurs ont t trouves lors de l'analyse du fichier.\nVeuillez consulter le rapport pour en savoir plus ('Flux -> Rapport').",
		0
	};

	enum { kVDST_AudioSourceMPA = 155 };

	const char *const g_strtab_AudioSourceMPA[]={
		"MPA: L'information '%s' n'est pas constante.",
		"MPA: Ce fichier Mpeg-Audio (pas Layer-III) semble disposer d'un VBR. Je n'aime pas a :p",
		0
	};
// END ****************************************************************
}

void VDInitAppStringTables() {
	VDLoadStaticStringTableA(0, kVDST_Dub, g_strtab_Dub);
	VDLoadStaticStringTableA(0, kVDST_AVIReadHandler, g_strtab_AVIReadHandler);
	VDLoadStaticStringTableA(0, kVDST_VideoSource, g_strtab_VideoSource);
	VDLoadStaticStringTableA(0, kVDST_InputFileAVI, g_strtab_InputFileAVI);
	VDLoadStaticStringTableA(0, kVDST_Mpeg, g_strtab_Mpeg);
	VDLoadStaticStringTableA(0, kVDST_AudioSource, g_strtab_AudioSource);
	VDLoadStaticStringTableA(0, kVDST_ProjectUI, g_strtab_ProjectUI);
// ********************************************************************
// *** VirtualDubMod												***
// *** Cyrius, June 2003											***
// BEGIN **************************************************************
	VDLoadStaticStringTableA(0, kVDST_ModVideoSource, g_strtab_ModVideoSource);
	VDLoadStaticStringTableA(0, kVDST_MatroskaReadHandler, g_strtab_MatroskaReadHandler);
	VDLoadStaticStringTableA(0, kVDST_MatroskaOutputFile, g_strtab_MatroskaOutputFile);
	VDLoadStaticStringTableA(0, kVDST_OGMReadHandler, g_strtab_OGMReadHandler);
	VDLoadStaticStringTableA(0, kVDST_TextSourceSRT, g_strtab_TextSourceSRT);
	VDLoadStaticStringTableA(0, kVDST_AudioSourceMPA, g_strtab_AudioSourceMPA);
// END ****************************************************************
}
